{
	"info": {
		"_postman_id": "a75b1318-dde6-4c61-a12c-5471a16903b2",
		"name": "PartTwo",
		"schema": "https://schema.getpostman.com/json/collection/v2.1.0/collection.json"
	},
	"item": [
		{
			"name": "AddPauseToWeeklyTimeSpan",
			"event": [
				{
					"listen": "test",
					"script": {
						"exec": [
							"var jsonData = JSON.parse(responseBody);\r",
							"pm.environment.set(\"pauseid\", jsonData.id);"
						],
						"type": "text/javascript"
					}
				}
			],
			"request": {
				"method": "POST",
				"header": [],
				"body": {
					"mode": "raw",
					"raw": "{\r\n  \"weeklyTimeSpanId\": {{wtsid}},\r\n  \"startdate\": \"2021-03-19T22:25:15.867Z\",\r\n  \"enddate\": \"2021-03-22T22:25:15.867Z\"\r\n}",
					"options": {
						"raw": {
							"language": "json"
						}
					}
				},
				"url": {
					"raw": "{{proto}}://{{host}}:{{port}}/api/v2/Pause",
					"protocol": "{{proto}}",
					"host": [
						"{{host}}"
					],
					"port": "{{port}}",
					"path": [
						"api",
						"v2",
						"Pause"
					]
				}
			},
			"response": []
		},
		{
			"name": "GetUserDefault",
			"request": {
				"method": "GET",
				"header": [],
				"url": {
					"raw": "{{proto}}://{{host}}:{{port}}/api/v2/HanyadikHetVan/my",
					"protocol": "{{proto}}",
					"host": [
						"{{host}}"
					],
					"port": "{{port}}",
					"path": [
						"api",
						"v2",
						"HanyadikHetVan",
						"my"
					]
				}
			},
			"response": []
		},
		{
			"name": "InspectPause",
			"request": {
				"method": "GET",
				"header": [],
				"url": {
					"raw": "{{proto}}://{{host}}:{{port}}/api/v2/Pause/{{pauseid}}",
					"protocol": "{{proto}}",
					"host": [
						"{{host}}"
					],
					"port": "{{port}}",
					"path": [
						"api",
						"v2",
						"Pause",
						"{{pauseid}}"
					]
				}
			},
			"response": []
		},
		{
			"name": "InspectWTS",
			"request": {
				"method": "GET",
				"header": [],
				"url": {
					"raw": "{{proto}}://{{host}}:{{port}}/api/v2/WeeklyTimeSpan/{{wtsid}}",
					"protocol": "{{proto}}",
					"host": [
						"{{host}}"
					],
					"port": "{{port}}",
					"path": [
						"api",
						"v2",
						"WeeklyTimeSpan",
						"{{wtsid}}"
					]
				}
			},
			"response": []
		},
		{
			"name": "AdminLogin",
			"event": [
				{
					"listen": "test",
					"script": {
						"exec": [
							"var jsonData = JSON.parse(responseBody);\r",
							"pm.environment.set(\"token\", jsonData.access_token);"
						],
						"type": "text/javascript"
					}
				}
			],
			"request": {
				"auth": {
					"type": "noauth"
				},
				"method": "POST",
				"header": [],
				"body": {
					"mode": "urlencoded",
					"urlencoded": [
						{
							"key": "client_id",
							"value": "postman",
							"type": "text"
						},
						{
							"key": "client_secret",
							"value": "cunci",
							"type": "text"
						},
						{
							"key": "scope",
							"value": "openid profile user_role api.readwrite",
							"type": "text"
						},
						{
							"key": "username",
							"value": "{{admin_username}}",
							"type": "text"
						},
						{
							"key": "password",
							"value": "{{admin_password}}",
							"type": "text"
						},
						{
							"key": "grant_type",
							"value": "password",
							"type": "text"
						}
					]
				},
				"url": {
					"raw": "{{proto}}://{{host}}:{{port}}/connect/token",
					"protocol": "{{proto}}",
					"host": [
						"{{host}}"
					],
					"port": "{{port}}",
					"path": [
						"connect",
						"token"
					]
				}
			},
			"response": []
		},
		{
			"name": "DeletePause",
			"event": [
				{
					"listen": "test",
					"script": {
						"exec": [
							"var jsonData = JSON.parse(responseBody);\r",
							"pm.environment.set(\"pauseid\", jsonData.id);"
						],
						"type": "text/javascript"
					}
				}
			],
			"request": {
				"method": "DELETE",
				"header": [],
				"url": {
					"raw": "{{proto}}://{{host}}:{{port}}/api/v2/Pause/{{pauseid}}",
					"protocol": "{{proto}}",
					"host": [
						"{{host}}"
					],
					"port": "{{port}}",
					"path": [
						"api",
						"v2",
						"Pause",
						"{{pauseid}}"
					]
				}
			},
			"response": []
		},
		{
			"name": "InspectWTS-AfterDelete",
			"request": {
				"method": "GET",
				"header": [],
				"url": {
					"raw": "{{proto}}://{{host}}:{{port}}/api/v2/WeeklyTimeSpan/{{wtsid}}",
					"protocol": "{{proto}}",
					"host": [
						"{{host}}"
					],
					"port": "{{port}}",
					"path": [
						"api",
						"v2",
						"WeeklyTimeSpan",
						"{{wtsid}}"
					]
				}
			},
			"response": []
		},
		{
			"name": "UpdateWTS",
			"request": {
				"method": "PUT",
				"header": [],
				"body": {
					"mode": "raw",
					"raw": "{\r\n  \"id\": {{wtsid}},\r\n  \"startdate\": \"2021-01-19T22:50:31.312Z\"\r\n}",
					"options": {
						"raw": {
							"language": "json"
						}
					}
				},
				"url": {
					"raw": "{{proto}}://{{host}}:{{port}}/api/v2/WeeklyTimeSpan",
					"protocol": "{{proto}}",
					"host": [
						"{{host}}"
					],
					"port": "{{port}}",
					"path": [
						"api",
						"v2",
						"WeeklyTimeSpan"
					]
				}
			},
			"response": []
		}
	],
	"auth": {
		"type": "bearer",
		"bearer": [
			{
				"key": "token",
				"value": "{{token}}",
				"type": "string"
			}
		]
	},
	"event": [
		{
			"listen": "prerequest",
			"script": {
				"type": "text/javascript",
				"exec": [
					""
				]
			}
		},
		{
			"listen": "test",
			"script": {
				"type": "text/javascript",
				"exec": [
					""
				]
			}
		}
	]
}